import { ListPage } from "./list.po";
import { browser, by, element, ElementFinder } from "protractor";
import { CalculatorPage } from "./calculator.po";

/**
 * Parameter mode should be set to its previous mode (fixed/var/...) when cancel is pressed
 * in variable mode edition dialog
 */
describe("ngHyd - check parameter mode is set to its previous value - ", () => {
    let listPage: ListPage;

    beforeAll(async () => {
        listPage = new ListPage();
    });

    it("when min/max/list values dialog is cancelled on 'fish ladder: fall' calculator", async () => {
        // start page
        await listPage.navigateTo();
        await browser.sleep(500);

        // open 'PAB fall' calculator
        await listPage.clickMenuEntryForCalcType(12);
        await browser.sleep(500);

        // click "calc" radio on Z1 parameter
        const z1calcbtn = element(by.id("mat-button-toggle-3"));
        await z1calcbtn.click();
        await browser.sleep(200);

        // click "var" radio on Z1 parameter
        const z1varbtn = element(by.id("mat-button-toggle-2"));
        await z1varbtn.click();
        await browser.sleep(200);

        // click cancel button
        const cancelbtn = element(by.id("btn-cancel"));
        await cancelbtn.click();
        await browser.sleep(200);

        // check Z1 var toggle is not checked
        expect(await z1varbtn.getAttribute("ng-reflect-checked")).toBe("false");

        // check Z1 calc toggle is checked
        expect(await z1calcbtn.getAttribute("ng-reflect-checked")).toBe("true");
    });

    it("when min/max/list values dialog is cancelled on 'fish ladder' calculator", async () => {
        // start page
        await listPage.navigateTo();
        await browser.sleep(500);

        // open PAB calculator
        await listPage.clickMenuEntryForCalcType(15);
        await browser.sleep(500);

        // "fixed" radio on Q parameter
        const qfixbtn = element(by.id("mat-button-toggle-1"));
        await browser.sleep(50);

        // "var" radio on Z1 parameter
        const z1varbtn = element(by.id("mat-button-toggle-6"));
        await browser.sleep(50);

        // "calc" radio on Z1 parameter
        const z1calcbtn = element(by.id("mat-button-toggle-7"));
        await browser.sleep(50);

        // click "var" radio on Z1 parameter
        await z1varbtn.click();
        await browser.sleep(200);

        // click cancel button
        const cancelbtn = element(by.id("btn-cancel"));
        await cancelbtn.click();
        await browser.sleep(200);

        // check Q fix toggle is checked
        expect(await qfixbtn.getAttribute("ng-reflect-checked")).toBe("true");

        // check Z1 calc toggle is checked
        expect(await z1calcbtn.getAttribute("ng-reflect-checked")).toBe("true");
    });
});
