import { ListPage } from "./list.po";
import { Navbar } from "./navbar.po";
import { browser } from "protractor";
import { CalculatorPage } from "./calculator.po";
import { PreferencesPage } from "./preferences.po";

describe("Check fields are empty in 'parametric section' calculator when created with 'empty fields' option", () => {
    let listPage: ListPage;
    let navBar: Navbar;
    let calcPage: CalculatorPage;
    let prefPage: PreferencesPage;

    beforeAll(async () => {
        listPage = new ListPage();
        navBar = new Navbar();
        calcPage = new CalculatorPage();
        prefPage = new PreferencesPage();
    });

    beforeEach(async () => {
        // enable evil option "empty fields on module creation"
        await prefPage.navigateTo();
        await prefPage.enableEvilEmptyFields();
        await browser.sleep(200);
    });

    it("", async () => {
        // open "parametric section" calculator
        await navBar.clickNewCalculatorButton();
        await listPage.clickMenuEntryForCalcType(2);
        await browser.sleep(200);

        expect(calcPage.checkEmptyOrFilledFields(["LargeurBerge", "Ks", "If", "YB", "Q", "Y"], [true, true, true, true, true, true]));
    });
});
