import { browser } from "protractor";
import { CalculatorPage } from "./calculator.po";
import { ListPage } from "./list.po";
import { Navbar } from "./navbar.po";
import { PreferencesPage } from "./preferences.po";

describe("ngHyd - check invalid values are removed - ", () => {
    let listPage: ListPage;
    let prefPage: PreferencesPage;
    let navBar: Navbar;
    let calcPage: CalculatorPage;

    beforeEach(async () => {
        prefPage = new PreferencesPage();
        listPage = new ListPage();
        navBar = new Navbar();
        calcPage = new CalculatorPage();

        // disable evil option "empty fields on module creation"
        await prefPage.navigateTo();
        await browser.sleep(200);
        await prefPage.disableEvilEmptyFields();
        await browser.sleep(200);
    });

    it("when switching to another calculator", async () => {
        // open PAB dimensions calculator
        await navBar.clickNewCalculatorButton();
        await listPage.clickMenuEntryForCalcType(5);
        await browser.sleep(200);

        // modify W input with invalid value
        const inputW = calcPage.getInputById("W");
        await browser.sleep(200);
        await inputW.clear();
        await browser.sleep(200);
        await inputW.sendKeys("-1");
        await browser.sleep(200);

        // open another calculator
        await navBar.clickNewCalculatorButton();
        await listPage.clickMenuEntryForCalcType(12);
        await browser.sleep(200);

        // back to first calculator
        await navBar.openNthCalculator(0);
        await browser.sleep(200);

        // check invalid value is removed
        const w = await inputW.getAttribute("value");
        await browser.sleep(200);
        expect(w).toEqual("");

        // check that "compute" button is disabled
        const calcButton = calcPage.checkCalcButtonEnabled(false);
    });
});
